Skip to main content
POST
Create a Webhook Endpoint

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Scopes

public.webhook_endpoint:write
Bearer
public.webhook_endpoint:write
OAuth2

Webhook Endpoint (Write)

Headers

Idempotency-Key
string

A unique key, such as a UUID, that makes it safe to retry this request. The first successful (2xx) response for a key is stored for 24 hours and returned unchanged, including its request_id, for later requests with the same key, without running the request again. Keys are unique per operator, case-insensitive and trimmed of surrounding whitespace. Failed requests are not stored, so they can be retried with the same key. While a request with the same key is still in progress, another one returns 409 Conflict with code idempotency_conflict. The request body and path are not compared, so use a new key for each request. For more, see the documentation page.

Query Parameters

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

fields
string[]

Returns only the listed fields, such as id,status,site.name. Identifiers and constant fields such as object are always returned. A field inside an expandable association also needs it in expand, unless the collapsed association returns it, such as site.id. For more, see the documentation page.

Body

application/json

Create Webhook Endpoint Request

name
string
required

The name of the webhook endpoint

api_version
enum<string>
required

The API version for the webhook endpoint

Available options:
2025-09,
preview
url
string<uri>
required

The URL to which the webhook payloads will be delivered

Pattern: ^https://
event_types
enum<string>[]
required

A list of event types that the webhook endpoint will listen to

Minimum array length: 1
Available options:
contact.churned,
contact.converted,
contact.created,
contact.updated,
contract.created,
contract.signed,
coupon.created,
coupon.updated,
credit_note.created,
credit_note.updated,
deal.created,
deal.lost,
deal.reopened,
deal.stage_changed,
deal.updated,
deal.won,
identity_verification.cancelled,
identity_verification.failed,
identity_verification.processing,
identity_verification.succeeded,
invoice.created,
invoice.finalized,
invoice.marked_uncollectible,
invoice.overdue,
invoice.paid,
invoice.payment_failed,
invoice.updated,
note.created,
note.updated,
opportunity.archived,
opportunity.associated,
opportunity.created,
opportunity.deleted,
opportunity.unarchived,
opportunity.updated,
order.abandoned,
order.completed,
order.created,
order.finalized,
price_adjustment.cancelled,
price_adjustment.created,
price_adjustment.failed,
price_adjustment.invoiced,
price_adjustment.rescheduled,
price_adjustment.scheduled,
price_adjustment.updated,
protection_level.created,
protection_level.updated,
subscription.cancelled,
subscription.created,
subscription.ended,
subscription.resumed,
subscription.started,
task.completed,
task.created,
task.reopened,
task.updated,
tenancy.auto_reservation.failed,
tenancy.auto_reservation.partially_succeeded,
tenancy.auto_reservation.succeeded,
tenancy.created,
tenancy.started,
unit.available,
unit.created,
unit.deallocated,
unit.occupied,
unit.overlocked,
unit.repossessed,
unit.reserved,
unit.unavailable,
unit.updated,
unit_type.created,
unit_type.updated
description
string | null

Optional description for the webhook endpoint

metadata
object | null

Set of key-value pairs for storing additional information on the webhook endpoint. Learn more about metadata.

Response

201 - application/json

webhook endpoint created

Single Webhook Endpoint

endpoint
object
required

Webhook Endpoint

meta
object
required